curl --request POST \
--url https://api.cloudglue.dev/v1/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "nimbus-001",
"input": "<string>",
"instructions": "<string>",
"temperature": 1,
"knowledge_base": {
"collections": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"source": "collections",
"filter": {
"metadata": [
{
"path": "<string>",
"valueText": "<string>",
"valueTextArray": [
"<string>"
]
}
],
"video_info": [
{
"valueText": "<string>",
"valueTextArray": [
"<string>"
]
}
],
"file": [
{
"valueText": "<string>",
"valueTextArray": [
"<string>"
]
}
],
"source_metadata": [
{
"path": "<string>",
"valueText": "<string>",
"valueTextArray": [
"<string>"
]
}
]
}
},
"include": [
"cloudglue_citations.media_descriptions"
],
"tools": [
{
"type": "function",
"name": "<string>",
"parameters": {},
"description": "<string>",
"strict": true
}
],
"max_output_tokens": 64000,
"background": true,
"stream": true
}
'import requests
url = "https://api.cloudglue.dev/v1/responses"
payload = {
"model": "nimbus-001",
"input": "<string>",
"instructions": "<string>",
"temperature": 1,
"knowledge_base": {
"collections": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"source": "collections",
"filter": {
"metadata": [
{
"path": "<string>",
"valueText": "<string>",
"valueTextArray": ["<string>"]
}
],
"video_info": [
{
"valueText": "<string>",
"valueTextArray": ["<string>"]
}
],
"file": [
{
"valueText": "<string>",
"valueTextArray": ["<string>"]
}
],
"source_metadata": [
{
"path": "<string>",
"valueText": "<string>",
"valueTextArray": ["<string>"]
}
]
}
},
"include": ["cloudglue_citations.media_descriptions"],
"tools": [
{
"type": "function",
"name": "<string>",
"parameters": {},
"description": "<string>",
"strict": True
}
],
"max_output_tokens": 64000,
"background": True,
"stream": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'nimbus-001',
input: '<string>',
instructions: '<string>',
temperature: 1,
knowledge_base: {
collections: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
source: 'collections',
filter: {
metadata: [{path: '<string>', valueText: '<string>', valueTextArray: ['<string>']}],
video_info: [{valueText: '<string>', valueTextArray: ['<string>']}],
file: [{valueText: '<string>', valueTextArray: ['<string>']}],
source_metadata: [{path: '<string>', valueText: '<string>', valueTextArray: ['<string>']}]
}
},
include: ['cloudglue_citations.media_descriptions'],
tools: [
{
type: 'function',
name: '<string>',
parameters: {},
description: '<string>',
strict: true
}
],
max_output_tokens: 64000,
background: true,
stream: true
})
};
fetch('https://api.cloudglue.dev/v1/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "response",
"created_at": 123,
"model": "<string>",
"instructions": "<string>",
"output": [
{
"type": "message",
"role": "assistant",
"content": [
{
"type": "output_text",
"text": "<string>",
"annotations": [
{
"type": "cloudglue_citation",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": 123,
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"end_time": 123,
"context": "<string>",
"relevant_sources": [
"<string>"
],
"visual_scene_description": [
"<string>"
],
"scene_text": [
"<string>"
],
"speech": [
"<string>"
],
"audio_description": [
"<string>"
]
}
]
}
]
}
],
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123
},
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Create Response
Create a new response using the Response API. This endpoint provides an OpenAI Responses-compatible interface for chat completions with video collections.
The response can be processed synchronously (default) or asynchronously using the background parameter.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response creation parameters
The model to use for generating the response.
nimbus-001: Fast general question answering model. Requiresknowledge_base. Default temperature: 0.7.nimbus-002-preview: Light reasoning model capable of multi-step reasoning, cross-video synthesis, and structured entity data. Requiresknowledge_base. Supportsentity_collectionsin the knowledge base. Default temperature: 1.
Metadata collections (collection_type: 'metadata') in the knowledge base are only supported by nimbus-002-preview — its agent retrieves them at file granularity; nimbus-001 rejects them (400).
1"nimbus-001"
The input for the response. Can be a simple string or an array of messages.
System instructions to guide the model's behavior (maps to developer/system message)
Sampling temperature for the model. Defaults to 0.7 for nimbus-001 and 1 for nimbus-002-preview.
0 <= x <= 2Knowledge base configuration. Required for nimbus-001 and nimbus-002-preview.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Additional data to include in the response annotations
cloudglue_citations.media_descriptions Tool definitions for function calling.
Show child attributes
Show child attributes
Maximum number of output tokens.
1 <= x <= 128000Set to true to process the response in the background. When true, the response is returned immediately with status 'in_progress'.
Stream response via SSE. Mutually exclusive with background.
Response
Response created successfully
Unique identifier for the response
Object type identifier
response Current status of the response
in_progress, completed, failed, cancelled Unix timestamp of when the response was created
The model used for the response
The system instructions used
The generated output messages
Show child attributes
Show child attributes
Token usage statistics for the response
Show child attributes
Show child attributes
Error details when the response status is 'failed'
Show child attributes
Show child attributes